<!-- Title group  -->
<div class="title-group">
  <h1 class="mat-h1">Students List</h1>
  <mat-divider fxFlex="1 0"></mat-divider>
</div>

<p *ngIf="StudentData.length <= 0" class="no-data">There is no student added yet!</p>
<div class="example-header">
  <mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder=" &nbsp; &nbsp; Filter">
  </mat-form-field>
</div>
<div class="container" *ngIf="StudentData.length > 0">
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort [trackBy]="trackByUid">
      <ng-container matColumnDef="_id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Student ID </th>
        <td mat-cell *matCellDef="let element"> {{element._id}} </td>
      </ng-container>

      <ng-container matColumnDef="student_name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Student Name </th>
        <td mat-cell *matCellDef="let element"> {{element.student_name}} </td>
      </ng-container>

      <ng-container matColumnDef="student_email">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
        <td mat-cell *matCellDef="let element"> {{element.student_email}} </td>
      </ng-container>

      <ng-container matColumnDef="section">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Section </th>
        <td mat-cell *matCellDef="let element"> {{element.section}} </td>
      </ng-container>

      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef>Action </th>
        <td mat-cell *matCellDef="let element; let i = index;">
          <button mat-raised-button color="primary" class="push-right"
            [routerLink]="['/edit-student/', element._id]">Edit</button>
          <button mat-raised-button color="accent" (click)="deleteStudent(i, element)">Delete</button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
  </div>
</div>
